> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Refund

> Intiate a transaction refund



## OpenAPI

````yaml post /transactions/{id}/refund
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /transactions/{id}/refund:
    post:
      tags:
        - Transactions
      summary: Create a Refund
      description: Intiate a transaction refund
      operationId: PostCreateaRefund
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateaRefundRequest'
                - example:
                    amount: '50'
            example:
              amount: '50'
        required: true
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '322'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"142-UWUPFn2ohciECrPOQSLpbw"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Fri, 24 Jan 2020 09:18:37 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessfulPartialRefund'
                  - example:
                      status: success
                      message: Transaction refund initiated
                      data:
                        id: 8612
                        account_id: 73362
                        tx_id: 908790
                        flw_ref: URF_1577867664541_3572735
                        wallet_id: 74639
                        amount_refunded: 5000
                        status: completed
                        destination: payment_source
                        meta:
                          source: availablebalance
                        created_at: '2020-01-24T09:18:37.366Z'
              example:
                status: success
                message: Transaction refund initiated
                data:
                  id: 8612
                  account_id: 73362
                  tx_id: 908790
                  flw_ref: URF_1577867664541_3572735
                  wallet_id: 74639
                  amount_refunded: 5000
                  status: completed
                  destination: payment_source
                  meta:
                    source: availablebalance
                  created_at: '2020-01-24T09:18:37.366Z'
      deprecated: false
components:
  schemas:
    CreateaRefundRequest:
      title: CreateaRefundRequest
      required:
        - amount
      type: object
      properties:
        amount:
          type: string
      example:
        amount: '100'
    SampleSuccessfulPartialRefund:
      title: SampleSuccessfulPartialRefund
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data24'
      example:
        status: success
        message: Transaction refund initiated
        data:
          id: 8612
          account_id: 73362
          tx_id: 908790
          flw_ref: URF_1577867664541_3572735
          wallet_id: 74639
          amount_refunded: 5000
          status: completed
          destination: payment_source
          meta:
            source: availablebalance
          created_at: '2020-01-24T09:18:37.366Z'
    Data24:
      title: Data24
      required:
        - id
        - account_id
        - tx_id
        - flw_ref
        - wallet_id
        - amount_refunded
        - status
        - destination
        - meta
        - created_at
      type: object
      properties:
        id:
          type: integer
          format: int32
        account_id:
          type: integer
          format: int32
        tx_id:
          type: integer
          format: int32
        flw_ref:
          type: string
        wallet_id:
          type: integer
          format: int32
        amount_refunded:
          type: integer
          format: int32
        status:
          type: string
        destination:
          type: string
        meta:
          $ref: '#/components/schemas/Meta20'
        created_at:
          type: string
      example:
        id: 8612
        account_id: 73362
        tx_id: 908790
        flw_ref: URF_1577867664541_3572735
        wallet_id: 74639
        amount_refunded: 5000
        status: completed
        destination: payment_source
        meta:
          source: availablebalance
        created_at: '2020-01-24T09:18:37.366Z'
    Meta20:
      title: Meta20
      required:
        - source
      type: object
      properties:
        source:
          type: string
      example:
        source: availablebalance
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````